Jupiter - Zadanie #1720
Utworzenie serwisu afiliacji
2017-06-02 11:53 - Michat Komar

Status: Rozwigzany Start date: 2017-06-02
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

Serwis pozwalajgcy na wyszukiwanie afiliacji, umozliwiajacy ich dedupikacje w systemie. Dziata tak jak serwis kontrybutoréw.

Related issues:
Related to Jupiter - Zadanie # 1719: Utworzenie serwisu kontrybutoréw Rozwigzany 2017-06-02

Associated revisions

Revision 333dc32f - 2017-06-29 14:39 - Michat Komar

refs #1720: Utworzenie serwisu afiliacji

Ponadto zamiana @SequenceGenerator na @GenericGenerator, zeby hibernate

w nowych wersjach nie wyrzucat warningdw

Revision 265891f0 - 2017-07-03 11:29 - Michat Komar

refs #1720: Utworzenie serwisu do afiliacji

Zawiera tez importer, ktory sig przyda w przypadku autoréw. Brak
integracji podczas dodawania bazy

Revision 0348229b - 2017-07-03 13:10 - Michat Komar

refs #1720: Poprawienie konfiguracji GenericGenerator

Revision 96d6c059 - 2017-07-05 10:57 - Lukasz Waskiewicz

refs #1720 korekta konfiguracji (@DependsOn psujacy testy)

Revision b4ef8553 - 2017-07-17 13:35 - Lukasz Waskiewicz

refs #1720 dodany test

Revision 515a59a8 - 2017-07-25 13:34 - Michat Komar

refs #1720: Dodanie autoryzacji zadan petnotekstowych
History

#1 - 2017-06-02 11:53 - Michat Komar
- Related to Zadanie #1719: Utworzenie serwisu kontrybutoréw added

#2 - 2017-07-03 13:19 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Zrobiony backend + controller - mozna testowaé za pomoca resta.
Domys$Inie ustawitem import danych z infony przy pierwszym starcie aplikacji, wigc po pierwszym restarcie bedzie mozna testowac.
Na razie jest zaimplementowany jedynie import i podpowiadanie afiliacji. Zintegruje to jeszcze z autorami w ramach kolejnego zadania.

Ponadto dodatem aktualizacje podpowiedzi podczas publikacji nowego dokumentu.
Zastanawiam sie nad opcja usuwania btednych podpowiedzi (zeby uzytkownik mégt usunac¢ krzaki z podpowiedzi), ewentualnie mozliwos¢

poprawiania - to jest dosy¢ skomplikowany temat.

#3 - 2017-07-17 13:37 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Michat Komar

wyszukiwanie autoréw dziata i wyglada OK
miatem za to problem z wyszukaniem afiliacji
http://localhost:9080/api/fulltext/affiliations/dml/University

http://localhost:9080/api/fulltext/affiliations/dml/University of Tennesse, Tennesse, USA

zasOb https://infona-demo.vls.icm.edu.pl/ff-console/store/owmetai.element.bwnjournal-article-aavi1i4p461bwm

dodatem test i w teScie dziata
lokalnie sprawdzi debugiem i wpis o afiliacjach jest w bazie ale nie wyszukuje, na cocos-devel affiliationRepository jest puste

#4 - 2017-07-25 13:39 - Michat Komar

- Status changed from Odpowiedz to Rozwigzany

Wydaje sie, ze wszystko dziata. Dodatem jeszcze tylko security.
